/* １０進４桁文字を１０進数値に変換する */

#include "defines.h"

int deci4(unchar *str)
{
int c1,c2;
	if (str[0]==';') { /* ;asc : 漢字対応 */
		c1=str[1];
		if (check_kanji1(c1)) c1=(c1<<8)|str[2];
		return(c1);
	}
	c1=deci2(str);
	if (c1<0) return(-1); /* １，２文字目エラー */
	c2=deci2(&str[2]);
	if (c2<0) return(-2); /* ２，３文字目エラー */
	return(c1*100+c2);
}
